Download it now!
Bug 30856 - LibO Crash when editing a specific macro in documents.
Summary: LibO Crash when editing a specific macro in documents.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Noel Power
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-13 23:53 UTC by Yifan Jiang
Modified: 2010-11-01 11:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
crash stack (18.34 KB, text/x-log)
2010-10-13 23:53 UTC, Yifan Jiang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yifan Jiang 2010-10-13 23:53:11 UTC
Created attachment 39432 [details]
crash stack

Platform: SLED 10 sp3
build info: LibreOffice 3.2.99.1a with VBA patch

[Steps]

    1. Open the attached vba-project.xlsm or vba-project.xlsb here:
    
        https://bugs.freedesktop.org/attachment.cgi?id=39426
        
        https://bugs.freedesktop.org/attachment.cgi?id=39428

    2. Edit the macro (MyUserFrom for example) embedded the document with
       Tools->Macro->Organize Macro..->Edit

[Problem]

    LibO crashes after clicking Edit

    crash stack attached.
Comment 1 Yifan Jiang 2010-10-14 00:08:04 UTC
This is a regression against LibreOffice 3.2.99.1a withouot VBA patch
Comment 2 Noel Power 2010-10-15 06:30:01 UTC
fixed on master
Comment 3 sophie 2010-11-01 11:46:24 UTC
No problem for editing in the 10_10_28_Cedric.rpm build - Closing - Sophie